<?php



class TblproductMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblproductMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblproductPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblproductPeer::TABLE_NAME);
		$tMap->setPhpName('Tblproduct');
		$tMap->setClassname('Tblproduct');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('PRO_ID', 'ProId', 'INTEGER', true, null);

		$tMap->addColumn('PRO_NAME', 'ProName', 'VARCHAR', true, 15);

		$tMap->addColumn('PRO_ELEMENT', 'ProElement', 'INTEGER', false, null);

		$tMap->addColumn('PRO_TITLE', 'ProTitle', 'VARCHAR', false, 63);

		$tMap->addColumn('PRO_DESC', 'ProDesc', 'VARCHAR', false, 255);

		$tMap->addColumn('PRO_VERSION', 'ProVersion', 'INTEGER', false, null);

		$tMap->addColumn('PRO_TYPE', 'ProType', 'TINYINT', false, null);

		$tMap->addColumn('PRO_LEVEL', 'ProLevel', 'TINYINT', false, null);

		$tMap->addColumn('PRO_PRICE', 'ProPrice', 'INTEGER', false, null);

	} 
} 